Macs Are Vulnerable to Attacks Due to a Serious OS X Flaw

/ 1 year ago

OSX Yosemite vulnerable

Software companies are usually pretty good at protecting their products from hacker attacks, but they sometimes overlook some flaws that end up leaving systems vulnerable. We’ve seen it before with Windows and Android, and now it’s OS X’s turn to join the fold, as its latest version apparently includes a serious flaw that can be used by hackers to attack a user’s computer without even needing a password. The flaw is related to a hidden document named Sudoers, which contains a list of software-related permissions. Yosemite stores the list in such a way that allows hackers to actually add malware into the register.

The problem was detected by well-known iOS jailbreaker Stefan Esser, who is now facing some accusations from Apple for revealing the news before telling the company. Stefan also went ahead and created a kernel extension that could help you protect your Mac until Apple releases an official fix. Since we’re talking about a very serious vulnerability here, it probably won’t take Apple too long to fix it. However, if you want to try out Stefan’s solution you can go ahead and download it right here. I’d probably just wait for an official patch, though.

Thank you Engadget for providing us with this information.

Topics: , , , ,